package com.cosmodas.EntCosmos;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
@Entity
@Table(name = "vAbonos")
public class VAbonos implements Serializable {

    @Id
    @Column(name = "id")
    private String id;
    @Column(name = "abono_codigo")
    private String abonoCodigo;
    @Column(name = "abono_tipo")
    private String abonoTipo;
    @Column(name = "consultor_codigo")
    private String consultorCodigo;
    @Column(name = "sucursal_codigo")
    private String sucursalCodigo;
    @Column(name = "abono_fecha")
    private Date abonoFecha;
    @Column(name = "abono_valor")
    private BigDecimal abonoValor;
    @Column(name = "abono_comentario")
    private String abonoComentario;
    @Column(name = "abono_fecha_valor")
    private Date abonoFechaValor;
    @Column(name = "abono_inventario")
    private boolean abonoInventario;
    @Column(name = "abono_anulado")
    private char abonoAnulado;
    @Column(name = "abono_saldo_anterior")
    private BigDecimal abonoSaldoAnterior;
    @Column(name = "banco")
    private String banco;
    @Column(name = "abono_envio")
    private char abonoEnvio;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getAbonoCodigo() {
        return abonoCodigo;
    }

    public void setAbonoCodigo(String abonoCodigo) {
        this.abonoCodigo = abonoCodigo;
    }

    public String getAbonoTipo() {
        return abonoTipo;
    }

    public void setAbonoTipo(String abonoTipo) {
        this.abonoTipo = abonoTipo;
    }

    public String getConsultorCodigo() {
        return consultorCodigo;
    }

    public void setConsultorCodigo(String consultorCodigo) {
        this.consultorCodigo = consultorCodigo;
    }

    public String getSucursalCodigo() {
        return sucursalCodigo;
    }

    public void setSucursalCodigo(String sucursalCodigo) {
        this.sucursalCodigo = sucursalCodigo;
    }

    public Date getAbonoFecha() {
        return abonoFecha;
    }

    public void setAbonoFecha(Date abonoFecha) {
        this.abonoFecha = abonoFecha;
    }

    public BigDecimal getAbonoValor() {
        return abonoValor;
    }

    public void setAbonoValor(BigDecimal abonoValor) {
        this.abonoValor = abonoValor;
    }

    public String getAbonoComentario() {
        return abonoComentario;
    }

    public void setAbonoComentario(String abonoComentario) {
        this.abonoComentario = abonoComentario;
    }

    public Date getAbonoFechaValor() {
        return abonoFechaValor;
    }

    public void setAbonoFechaValor(Date abonoFechaValor) {
        this.abonoFechaValor = abonoFechaValor;
    }

    public boolean isAbonoInventario() {
        return abonoInventario;
    }

    public void setAbonoInventario(boolean abonoInventario) {
        this.abonoInventario = abonoInventario;
    }

    public char getAbonoAnulado() {
        return abonoAnulado;
    }

    public void setAbonoAnulado(char abonoAnulado) {
        this.abonoAnulado = abonoAnulado;
    }

    public BigDecimal getAbonoSaldoAnterior() {
        return abonoSaldoAnterior;
    }

    public void setAbonoSaldoAnterior(BigDecimal abonoSaldoAnterior) {
        this.abonoSaldoAnterior = abonoSaldoAnterior;
    }

    public String getBanco() {
        return banco;
    }

    public void setBanco(String banco) {
        this.banco = banco;
    }

    public char getAbonoEnvio() {
        return abonoEnvio;
    }

    public void setAbonoEnvio(char abonoEnvio) {
        this.abonoEnvio = abonoEnvio;
    }

    public VAbonos(String id, String abonoCodigo, String abonoTipo, String consultorCodigo, String sucursalCodigo, Date abonoFecha, BigDecimal abonoValor, String abonoComentario, Date abonoFechaValor, boolean abonoInventario, char abonoAnulado, BigDecimal abonoSaldoAnterior, String banco, char abonoEnvio) {
        this.id = id;
        this.abonoCodigo = abonoCodigo;
        this.abonoTipo = abonoTipo;
        this.consultorCodigo = consultorCodigo;
        this.sucursalCodigo = sucursalCodigo;
        this.abonoFecha = abonoFecha;
        this.abonoValor = abonoValor;
        this.abonoComentario = abonoComentario;
        this.abonoFechaValor = abonoFechaValor;
        this.abonoInventario = abonoInventario;
        this.abonoAnulado = abonoAnulado;
        this.abonoSaldoAnterior = abonoSaldoAnterior;
        this.banco = banco;
        this.abonoEnvio = abonoEnvio;
    }

    public VAbonos() {
    }
}
